Skip to main content
GET
Obtener lote por ID

Authorizations

x-api-key
string
header
required

API Key para autenticación. Formato: test_sk_xxx para testing, prod_sk_xxx para producción.

Path Parameters

batchId
string
required

ID del lote

Response

Lote obtenido exitosamente

id
string
required

ID del lote

status
enum<string>
required

Estado del lote

Available options:
pending,
processing,
completed,
completed_with_errors,
error
totalItems
integer
required

Total de items en el lote

processedItems
integer
required

Items procesados (con éxito o con error)

successfulItems
integer
required

Items procesados con éxito

failedItems
integer
required

Items que fallaron

environment
enum<string>
required

Entorno

Available options:
production,
homologation
createdAt
string<date-time>
required

Fecha de creación

updatedAt
string<date-time>
required

Fecha de última actualización

items
object[]
required

Items del lote